
Redmine - Defect #12851

"Parent task is invalid" while editing child issues by Role with restricted Issues Visibility

2013-01-15 12:37 - Happy Mouse

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version: 2.2.2   

Resolution: Fixed Affected version: 2.2.1

Description

What steps will reproduce the problem?

1. create Role with Issues Visibility = "Issues created by or assigned to the user" and "Manage subtasks" permission

2. create some User account with that Role for a project

3. create parent issue, not created or assigned to that User (so User will not be able to access it)

4. create child issue, assigned to that User (so User will be able to access it)

5. log in to the User account

6. try to edit the child issue (i.e. simply changing its Status)

What is the expected output?

User should be able to edit the issue, as long as its parent task id is not modified.

What do you see instead?

"Parent task is invalid" error message.

Possible workaround

Remove "Manage subtasks" permission.

Unfortunately, this will also prevent User from creating child issues to his own parent issues.

But "Related issues" is not affected by this bug, so it can be used instead of child issues.

Environment

Redmine version                          2.2.1.stable

  Ruby version                             1.9.3 (i686-linux)

  Rails version                            3.2.11

  Environment                              production

  Database adapter                         Mysql2

Redmine plugins:  no plugin installed

Associated revisions

Revision 11228 - 2013-01-20 17:41 - Jean-Philippe Lang

"Parent task is invalid" while editing child issues with restricted Issues Visibility (#12851).

Revision 11236 - 2013-01-20 18:09 - Jean-Philippe Lang

Merged r11228 from trunk (#12851).

History

#1 - 2013-01-15 13:44 - Daniel Felix

- Target version set to 2.2.2

#2 - 2013-01-20 17:41 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed

Fixed in r11228, thanks for pointing this out.

#3 - 2013-01-20 18:09 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.2-stable.
